# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::EdgeExtractor::Edge Class Reference

A single edge as extracted from the EdgeExtractor class. More...

`#include <EdgeExtractor.hpp>`

List of all members.

## Public Member Functions

| Edge ()
| Edge (const fvec3 &v1, const fvec3 &v2)
void | setVertex1 (const fvec3 &v)
const fvec3 & | vertex1 () const
void | setVertex2 (const fvec3 &v)
const fvec3 & | vertex2 () const
void | setNormal1 (const fvec3 &v)
const fvec3 & | normal1 () const
void | setNormal2 (const fvec3 &v)
const fvec3 & | normal2 () const
bool | isCrease () const
void | setIsCrease (bool iscrease)
bool | operator< (const Edge &other) const
bool | operator== (const Edge &other) const

## Protected Attributes

fvec3 | mVertex1
fvec3 | mVertex2
fvec3 | mNormal1
fvec3 | mNormal2
bool | mIsCrease

## Detailed Description

A single edge as extracted from the EdgeExtractor class.

Definition at line 77 of file EdgeExtractor.hpp.

## Constructor & Destructor Documentation

vl::EdgeExtractor::Edge::Edge | ( | ) | `[inline]`

Definition at line 80 of file EdgeExtractor.hpp.

vl::EdgeExtractor::Edge::Edge | ( | const fvec3 & | v1,
|  | const fvec3 & | v2
| ) |  | `[inline]`

Definition at line 81 of file EdgeExtractor.hpp.

## Member Function Documentation

void vl::EdgeExtractor::Edge::setVertex1 | ( | const fvec3 & | v ) | `[inline]`

Definition at line 96 of file EdgeExtractor.hpp.

const fvec3& vl::EdgeExtractor::Edge::vertex1 | ( | ) | const`[inline]`

Definition at line 97 of file EdgeExtractor.hpp.

Referenced by operator<(), and operator==().

void vl::EdgeExtractor::Edge::setVertex2 | ( | const fvec3 & | v ) | `[inline]`

Definition at line 99 of file EdgeExtractor.hpp.

const fvec3& vl::EdgeExtractor::Edge::vertex2 | ( | ) | const`[inline]`

Definition at line 100 of file EdgeExtractor.hpp.

Referenced by operator<(), and operator==().

void vl::EdgeExtractor::Edge::setNormal1 | ( | const fvec3 & | v ) | `[inline]`

Definition at line 102 of file EdgeExtractor.hpp.

Referenced by vl::EdgeExtractor::addEdge().

const fvec3& vl::EdgeExtractor::Edge::normal1 | ( | ) | const`[inline]`

Definition at line 103 of file EdgeExtractor.hpp.

Referenced by vl::EdgeExtractor::extractEdges().

void vl::EdgeExtractor::Edge::setNormal2 | ( | const fvec3 & | v ) | `[inline]`

Definition at line 105 of file EdgeExtractor.hpp.

Referenced by vl::EdgeExtractor::addEdge().

const fvec3& vl::EdgeExtractor::Edge::normal2 | ( | ) | const`[inline]`

Definition at line 106 of file EdgeExtractor.hpp.

Referenced by vl::EdgeExtractor::extractEdges().

bool vl::EdgeExtractor::Edge::isCrease | ( | ) | const`[inline]`

Definition at line 108 of file EdgeExtractor.hpp.

void vl::EdgeExtractor::Edge::setIsCrease | ( | bool | iscrease ) | `[inline]`

Definition at line 109 of file EdgeExtractor.hpp.

Referenced by vl::EdgeExtractor::extractEdges().

bool vl::EdgeExtractor::Edge::operator< | ( | const Edge & | other ) | const`[inline]`

Definition at line 111 of file EdgeExtractor.hpp.

References vertex1(), and vertex2().

bool vl::EdgeExtractor::Edge::operator== | ( | const Edge & | other ) | const`[inline]`

Definition at line 119 of file EdgeExtractor.hpp.

References vertex1(), and vertex2().

## Member Data Documentation

fvec3 vl::EdgeExtractor::Edge::mVertex1`[protected]`

Definition at line 126 of file EdgeExtractor.hpp.

fvec3 vl::EdgeExtractor::Edge::mVertex2`[protected]`

Definition at line 127 of file EdgeExtractor.hpp.

fvec3 vl::EdgeExtractor::Edge::mNormal1`[protected]`

Definition at line 128 of file EdgeExtractor.hpp.

fvec3 vl::EdgeExtractor::Edge::mNormal2`[protected]`

Definition at line 129 of file EdgeExtractor.hpp.

bool vl::EdgeExtractor::Edge::mIsCrease`[protected]`

Definition at line 130 of file EdgeExtractor.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/EdgeExtractor.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:40.
Permission is granted to use this page to write and publish articles regarding Visualization Library.